DL:= TDrivesList.Create;
if DL.Count > 0 then
 for Ind:= 0 to DL.Count - 1 do
  if (DL.Items[Ind].DriveType = dtOptical) and (DL.Items[Ind].DriveLabel[1] = ADisc) then
   with Result do
    begin
    diHasInfo:= DL.Items[Ind].IsMediaAvailable;
    diDrive:= DL.Items[Ind].DriveLabel[1];
    diVolumeName:= DL.Items[Ind].DisplayName;
    diFileSystem:= DL.Items[Ind].FileSystem;
    diSerial:= 0;
    end;
FreeAndNil(DL);
